D-Bus 1.13.18

Data Fields
DBusKey Struct Reference
D-Bus secret internal implementation details » DBusKeyring implementation details

A single key from the cookie file. More...

## Data Fields
dbus_int32_t | id
| identifier used to refer to the key
long | creation_time
| when the key was generated, as unix timestamp. More...
DBusString | secret
| the actual key

## Detailed Description

A single key from the cookie file.

Definition at line 93 of file dbus-keyring.c.

## Field Documentation

## ◆ creation_time

long DBusKey::creation_time

when the key was generated, as unix timestamp.

signed long matches struct timeval.

Definition at line 97 of file dbus-keyring.c.

The documentation for this struct was generated from the following file:

- dbus-keyring.c